Langevin C++ source

Loading...
Searching...
No Matches
Coefficients Struct Reference

Container for nonlinear Langevin equation coefficients. More...

`#include <langevin_coefficients.hpp>`

## Public Member Functions
| Coefficients (double linear, double quadratic, double diffusion, double noise)
void | print ()

## Public Attributes
double | linear
double | quadratic
double | diffusion
double | noise

## Detailed Description

Container for nonlinear Langevin equation coefficients.

Container for the set of coefficients in the nonlinear Langevin equation to be integrated, which here is the directed percolation (DP) Langevin equation. Includes a method to print out all coefficient values.

Parameters

  linear | Coefficient a in linear term +aρ.
  quadratic | Coefficient b in nonlinear term -bρ².
  diffusion | Diffusion rate D in diffusion term D∇²ρ.
  noise | Noise amplitude γ in noise term η√(ρ)ξ.

Definition at line 23 of file langevin_coefficients.hpp.

## Constructor & Destructor Documentation

## ◆ Coefficients()

Coefficients::Coefficients | ( | double | linear,
|  | double | quadratic,
|  | double | diffusion,
|  | double | noise )
| inline

Definition at line 31 of file langevin_coefficients.hpp.

## Member Function Documentation

## ◆ print()

void Coefficients::print | ( |  | ) |
| inline

Definition at line 35 of file langevin_coefficients.hpp.

## Member Data Documentation

## ◆ diffusion

double Coefficients::diffusion

Definition at line 28 of file langevin_coefficients.hpp.

## ◆ linear

double Coefficients::linear

Definition at line 26 of file langevin_coefficients.hpp.

## ◆ noise

double Coefficients::noise

Definition at line 29 of file langevin_coefficients.hpp.

## ◆ quadratic

double Coefficients::quadratic

Definition at line 27 of file langevin_coefficients.hpp.

The documentation for this struct was generated from the following file:

- cplusplus/core/langevin_coefficients.hpp